﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CADM_constraint.sql **/
 EXEC P_ALTERPK 'PK_CADM_DEPTRECMDATTACH', 'T_CADM_DEPTRECMDATTACH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_DEPTRECMDATTACH') CREATE INDEX IDX_CADM_DEPTRECMDATTACH ON T_CADM_DEPTRECMDATTACH ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CADM_DEPTRECMDENTRY', 'T_CADM_DEPTRECMDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_DEPTRECMDENTRY') CREATE INDEX IDX_CADM_DEPTRECMDENTRY ON T_CADM_DEPTRECMDENTRY ( FRECMDDEPTID );


 EXEC P_ALTERPK 'PK_CADM_EXAMINEHANDLER', 'T_CADM_EXAMINEHANDLER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_EXAMINEHANDLER') CREATE INDEX IDX_CADM_EXAMINEHANDLER ON T_CADM_EXAMINEHANDLER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CADM_EXAMREJECTENTRY', 'T_CADM_EXAMREJECTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_EXAMREJECTENTRY') CREATE INDEX IDX_CADM_EXAMREJECTENTRY ON T_CADM_EXAMREJECTENTRY ( FREJECTHANDLERID );


 EXEC P_ALTERPK 'PK_CADM_NOMREJECTENTRY', 'T_CADM_NOMREJECTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_NOMREJECTENTRY') CREATE INDEX IDX_CADM_NOMREJECTENTRY ON T_CADM_NOMREJECTENTRY ( FREJECTHANDLERID );


 EXEC P_ALTERPK 'PK_CADM_PERRECMDATTACH', 'T_CADM_PERRECMDATTACH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_PERRECMDATTACH') CREATE INDEX IDX_CADM_PERRECMDATTACH ON T_CADM_PERRECMDATTACH ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CADM_PERSONRECMDENTRY', 'T_CADM_PERSONRECMDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_PERSONRECMDENTRY') CREATE INDEX IDX_CADM_PERSONRECMDENTRY ON T_CADM_PERSONRECMDENTRY ( FREFERRERID );


 EXEC P_ALTERPK 'PK_CADM_PUBLICHANDLER', 'T_CADM_PUBLICHANDLER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_PUBLICHANDLER') CREATE INDEX IDX_CADM_PUBLICHANDLER ON T_CADM_PUBLICHANDLER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CADM_PUBREJECTENTRY', 'T_CADM_PUBREJECTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_PUBREJECTENTRY') CREATE INDEX IDX_CADM_PUBREJECTENTRY ON T_CADM_PUBREJECTENTRY ( FREJECTHANDLERID );


 EXEC P_ALTERPK 'PK_CADM_RELEASEHANDLER', 'T_CADM_RELEASEHANDLER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_RELEASEHANDLER') CREATE INDEX IDX_CADM_RELEASEHANDLER ON T_CADM_RELEASEHANDLER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CADM_RELSREJECTENTRY', 'T_CADM_RELSREJECTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_RELSREJECTENTRY') CREATE INDEX IDX_CADM_RELSREJECTENTRY ON T_CADM_RELSREJECTENTRY ( FREJECTHANDLERID );


 EXEC P_ALTERPK 'PK_CADM_REVIEWHANDLER', 'T_CADM_REVIEWHANDLER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_REVIEWHANDLER') CREATE INDEX IDX_CADM_REVIEWHANDLER ON T_CADM_REVIEWHANDLER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CADM_REVIEWREJECTENTRY', 'T_CADM_REVIEWREJECTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_REVIEWREJECTENTR') CREATE INDEX IDX_CADM_REVIEWREJECTENTR ON T_CADM_REVIEWREJECTENTRY ( FREJECTHANDLERID );


 EXEC P_ALTERPK 'PK_CADM_EXAMINEBILL', 'T_CADM_EXAMINEBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_EXAMINEBILL_FID') CREATE INDEX IDX_CADM_EXAMINEBILL_FID ON T_CADM_EXAMINEBILL ( FEXAMINESTATUS );


 EXEC P_ALTERPK 'PK_CADM_REVIEWBILL', 'T_CADM_REVIEWBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_REVIEWBILL') CREATE INDEX IDX_CADM_REVIEWBILL ON T_CADM_REVIEWBILL ( FREVIEWSTATUS );


 EXEC P_ALTERPK 'PK_CADM_CADREAPPOINTBILL_L', 'T_CADM_CADREAPPOINTBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_CADREAPPOINTBILL_L') CREATE INDEX IDX_CADM_CADREAPPOINTBILL_L ON T_CADM_CADREAPPOINTBILL_L ( FID ,FLOCALEID );

 EXEC P_ALTERPK 'PK_CADM_PUBLICITYBILL', 'T_CADM_PUBLICITYBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_PUBLICITYBILL') CREATE INDEX IDX_CADM_PUBLICITYBILL ON T_CADM_PUBLICITYBILL ( FPUBRESULT );


 EXEC P_ALTERPK 'PK_CADM_CADREAPPOINTBILL', 'T_CADM_CADREAPPOINTBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_CADREAPPOINTBILL') CREATE INDEX IDX_CADM_CADREAPPOINTBILL ON T_CADM_CADREAPPOINTBILL ( FBILLNO );


EXEC p_DropIdx 'IDX_CADM_PLANACTVHISENTRY', 'T_CADM_PLANACTVHISENTRY';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_PLANACTVHISENTRY') CREATE INDEX IDX_CADM_PLANACTVHISENTRY ON T_CADM_PLANACTVHISENTRY ( FVID );

 EXEC P_ALTERPK 'PK_CADM_COOPERATEENTRY', 'T_CADM_COOPERATEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_COOPERATEENTRY') CREATE INDEX IDX_CADM_COOPERATEENTRY ON T_CADM_COOPERATEENTRY ( FCOOPERATERID );


 EXEC P_ALTERPK 'PK_CADM_RELEASEBILL', 'T_CADM_RELEASEBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_RELEASEBILL') CREATE INDEX IDX_CADM_RELEASEBILL ON T_CADM_RELEASEBILL ( FRELEASESTATUS );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CADM_constraint.sql **/
