﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CADM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_DEPTRECMDATTACH') 
 CREATE TABLE T_CADM_DEPTRECMDATTACH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_DEPTRECMDENTRY') 
 CREATE TABLE T_CADM_DEPTRECMDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FRECMDDEPTID BIGINT DEFAULT 0 NOT NULL,
FRECMDDATE DATETIME,
FRECMDREASON VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_EXAMINEHANDLER') 
 CREATE TABLE T_CADM_EXAMINEHANDLER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_EXAMREJECTENTRY') 
 CREATE TABLE T_CADM_EXAMREJECTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FREJECTHANDLERID BIGINT DEFAULT 0 NOT NULL,
FREJECTTIME DATETIME,
FREJECTCOMMENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FREJECTACTVID BIGINT DEFAULT 0 NOT NULL,
FREJECTBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_NOMREJECTENTRY') 
 CREATE TABLE T_CADM_NOMREJECTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FREJECTHANDLERID BIGINT DEFAULT 0 NOT NULL,
FREJECTTIME DATETIME,
FREJECTCOMMENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FREJECTACTVID BIGINT DEFAULT 0 NOT NULL,
FREJECTBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_PERRECMDATTACH') 
 CREATE TABLE T_CADM_PERRECMDATTACH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_PERSONRECMDENTRY') 
 CREATE TABLE T_CADM_PERSONRECMDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FREFERRERID BIGINT DEFAULT 0 NOT NULL,
FRECMDDATE DATETIME,
FRECMDREASON VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_PUBLICHANDLER') 
 CREATE TABLE T_CADM_PUBLICHANDLER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_PUBREJECTENTRY') 
 CREATE TABLE T_CADM_PUBREJECTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FACTVTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FREJECTHANDLERID BIGINT DEFAULT 0 NOT NULL,
FREJECTTIME DATETIME,
FREJECTCOMMENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FREJECTACTVID BIGINT DEFAULT 0 NOT NULL,
FREJECTBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_RELEASEHANDLER') 
 CREATE TABLE T_CADM_RELEASEHANDLER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_RELSREJECTENTRY') 
 CREATE TABLE T_CADM_RELSREJECTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FACTVTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FREJECTHANDLERID BIGINT DEFAULT 0 NOT NULL,
FREJECTTIME DATETIME,
FREJECTCOMMENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FREJECTACTVID BIGINT DEFAULT 0 NOT NULL,
FREJECTBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_REVIEWHANDLER') 
 CREATE TABLE T_CADM_REVIEWHANDLER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_REVIEWREJECTENTRY') 
 CREATE TABLE T_CADM_REVIEWREJECTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FACTVTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FREJECTHANDLERID BIGINT DEFAULT 0 NOT NULL,
FREJECTTIME DATETIME,
FREJECTCOMMENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FREJECTACTVID BIGINT DEFAULT 0 NOT NULL,
FREJECTBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_EXAMINEBILL') 
 CREATE TABLE T_CADM_EXAMINEBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT '1' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FFILLINERID BIGINT DEFAULT 0 NOT NULL,
FFILLINDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FEXAMINESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FEXAMINERESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FHANDLERIDTXT VARCHAR(500) DEFAULT ' ' NOT NULL,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FEXAMINETIME DATETIME,
FEXAMCOMMENT VARCHAR(500) DEFAULT ' ' NOT NULL,
FNOMINATEBILLID BIGINT DEFAULT 0 NOT NULL,
FMATCHACTVID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_REVIEWBILL') 
 CREATE TABLE T_CADM_REVIEWBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT '1' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FFILLINERID BIGINT DEFAULT 0 NOT NULL,
FFILLINDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FREVIEWSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FREVIEWRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FHANDLERIDTXT VARCHAR(500) DEFAULT ' ' NOT NULL,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FREVDEALTIME DATETIME,
FCOOPCOMPRATE VARCHAR(255) DEFAULT ' ' NOT NULL,
FREVIEWPASSRATE VARCHAR(255) DEFAULT ' ' NOT NULL,
FREVIEWTOPIC VARCHAR(255) DEFAULT ' ' NOT NULL,
FREVIEWTAKETIME DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREVIEWPOINTS VARCHAR(500) DEFAULT ' ' NOT NULL,
FREVIEWCOMMENT VARCHAR(500) DEFAULT ' ' NOT NULL,
FNOMINATEBILLID BIGINT DEFAULT 0 NOT NULL,
FMATCHACTVID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_CADREAPPOINTBILL_L') 
 CREATE TABLE T_CADM_CADREAPPOINTBILL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FAPPOINTREASON NVARCHAR(552) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_PUBLICITYBILL') 
 CREATE TABLE T_CADM_PUBLICITYBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT '1' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FFILLINERID BIGINT DEFAULT 0 NOT NULL,
FFILLINDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FPUBRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FRESULTDESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FPUBSTARTDATE DATETIME,
FPUBENDDATE DATETIME,
FPUBBATCHNUM VARCHAR(255) DEFAULT ' ' NOT NULL,
FPUBFILENUM VARCHAR(255) DEFAULT ' ' NOT NULL,
FPUBINSTRUCTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FPUBSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FHANDLERIDTXT VARCHAR(500) DEFAULT ' ' NOT NULL,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FPUBHANDLETIME DATETIME,
FPUBDEALTAKETIME DECIMAL(19,6) DEFAULT 0 NOT NULL,
FNOMINATEBILLID BIGINT DEFAULT 0 NOT NULL,
FMATCHACTVID BIGINT DEFAULT 0 NOT NULL,
FWITHDRAWREASON VARCHAR(500) DEFAULT ' ' NOT NULL
);


 EXEC p_AlterColumn 'T_CADM_APPOINTACTV', 'FACTVTYPE', 'VARCHAR(2)', 'NOT NULL', '0001', ''' ''';

 EXEC p_AlterColumn 'T_CADM_APPOINTACTV', 'FRELATEDAPP', 'VARCHAR(2)', 'NOT NULL', '0001', ''' ''';

 EXEC p_AlterColumn 'T_CADM_APPOINTACTV', 'FACTVENTITYID', 'VARCHAR(36)', 'NOT NULL', '1111', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_PLANACTVENTRY' AND KSQL_COL_NAME ='FHANDLESTRATEGYNUM') 
 ALTER TABLE T_CADM_PLANACTVENTRY ADD (FHANDLESTRATEGYNUM VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_CADREAPPOINTBILL') 
 CREATE TABLE T_CADM_CADREAPPOINTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT '1' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FFILLINERID BIGINT DEFAULT 0 NOT NULL,
FFILLINDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAPPOINTSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FAPPLYTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FBADMINORGVID BIGINT DEFAULT 0 NOT NULL,
FBPOSITIONVID BIGINT DEFAULT 0 NOT NULL,
FBJOBVID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FCMPEMPID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FACOMPANYID BIGINT DEFAULT 0 NOT NULL,
FAADMINORGID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FAJOBID BIGINT DEFAULT 0 NOT NULL,
FAPPOINTDATE DATETIME,
FACOMPANYVID BIGINT DEFAULT 0 NOT NULL,
FAADMINORGVID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONVID BIGINT DEFAULT 0 NOT NULL,
FAJOBVID BIGINT DEFAULT 0 NOT NULL,
FAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FISPRIMAPPOINT CHAR(1) DEFAULT ' ' NOT NULL,
FAPPOINTREASON VARCHAR(552) DEFAULT ' ' NOT NULL,
FACTVPLANHISID BIGINT DEFAULT 0 NOT NULL,
FNOMINATEPERID BIGINT DEFAULT 0 NOT NULL,
FNOMINATEDATE DATETIME,
FTERMINATIONIDEA VARCHAR(500) DEFAULT ' ' NOT NULL,
FREVOKEREASON VARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_PLANACTVHISENTRY' AND KSQL_COL_NAME ='FVID') 
 ALTER TABLE T_CADM_PLANACTVHISENTRY ADD (FVID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_PLANACTVHISENTRY' AND KSQL_COL_NAME ='FHANDLESTRATEGYNUM') 
 ALTER TABLE T_CADM_PLANACTVHISENTRY ADD (FHANDLESTRATEGYNUM VARCHAR(255) DEFAULT ' ' NOT NULL );
 --- drop column --------- 不允许删除表T_CADM_PLANACTVHISENTRY的字段FID，请恢复pdm中的字段 ------------------- 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_COOPERATEENTRY') 
 CREATE TABLE T_CADM_COOPERATEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FREVIEWRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FREVIEWCOMMENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FCOOPSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCOOPERATERID BIGINT DEFAULT 0 NOT NULL,
FCOOPCREATETIME DATETIME,
FCOOPDEALTIME DATETIME,
FCOOPTAKETIME DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_RELEASEBILL') 
 CREATE TABLE T_CADM_RELEASEBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT '1' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FFILLINERID BIGINT DEFAULT 0 NOT NULL,
FFILLINDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FSIGNDATE DATETIME,
FSIGNERID BIGINT DEFAULT 0 NOT NULL,
FRELSBATCHNUM VARCHAR(255) DEFAULT ' ' NOT NULL,
FRELSFILENUM VARCHAR(255) DEFAULT ' ' NOT NULL,
FRELSPRINTTPLID BIGINT DEFAULT 0 NOT NULL,
FRELEASESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FHANDLERIDTXT VARCHAR(500) DEFAULT ' ' NOT NULL,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FRELSDEALTIME DATETIME,
FRELSTAKETIME DECIMAL(19,6) DEFAULT 0 NOT NULL,
FNOMINATEBILLID BIGINT DEFAULT 0 NOT NULL,
FMATCHACTVID BIGINT DEFAULT 0 NOT NULL,
FWITHDRAWREASON VARCHAR(500) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CADM_table.sql **/
