﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CADM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_APPOINTISSUE') 
 CREATE TABLE T_CADM_APPOINTISSUE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT '1' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FFILLINERID BIGINT DEFAULT 0 NOT NULL,
FFILLINDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FISSUESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FISSUERESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FISSUETIME DATETIME,
FHANDLERIDTXT VARCHAR(500) DEFAULT ' ' NOT NULL,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FNOMINATEBILLID BIGINT DEFAULT 0 NOT NULL,
FMATCHACTVID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_ISSUEHANDLER') 
 CREATE TABLE T_CADM_ISSUEHANDLER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_REVIEWBILL' AND KSQL_COL_NAME ='FREVIEWORGID') 
 ALTER TABLE T_CADM_REVIEWBILL ADD (FREVIEWORGID BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CADM_table.sql **/
