﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CADM_constraint.sql **/
 EXEC P_ALTERPK 'PK_CADM_BRCANDIDATEENTRY', 'T_CADM_BRCANDIDATEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_BRCANDIDATEENTRY') CREATE INDEX IDX_CADM_BRCANDIDATEENTRY ON T_CADM_BRCANDIDATEENTRY ( FCANDIDATEID );


 EXEC P_ALTERPK 'PK_CADM_BREWBILL', 'T_CADM_BREWBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_BREWBILL') CREATE INDEX IDX_CADM_BREWBILL ON T_CADM_BREWBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_CADM_BREWCANDIDATE', 'T_CADM_BREWCANDIDATE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_BREWCANDIDATE') CREATE INDEX IDX_CADM_BREWCANDIDATE ON T_CADM_BREWCANDIDATE ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CADM_BREWFOLLOWUPPER', 'T_CADM_BREWFOLLOWUPPER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_BREWFOLLOWUPPER') CREATE INDEX IDX_CADM_BREWFOLLOWUPPER ON T_CADM_BREWFOLLOWUPPER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CADM_BREWPARTICIPANT', 'T_CADM_BREWPARTICIPANT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_BREWPARTICIPANT') CREATE INDEX IDX_CADM_BREWPARTICIPANT ON T_CADM_BREWPARTICIPANT ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CADM_COOPEXAMENTRY', 'T_CADM_COOPEXAMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_COOPEXAMENTRY') CREATE INDEX IDX_CADM_COOPEXAMENTRY ON T_CADM_COOPEXAMENTRY ( FEXAMITEMID );


 EXEC P_ALTERPK 'PK_CADM_EXAMCOOPHANDLER', 'T_CADM_EXAMCOOPHANDLER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_EXAMCOOPHANDLER') CREATE INDEX IDX_CADM_EXAMCOOPHANDLER ON T_CADM_EXAMCOOPHANDLER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CADM_EXAMINECOOPERATE', 'T_CADM_EXAMINECOOPERATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_EXAMINECOOPERATE_FID') CREATE INDEX IDX_CADM_EXAMINECOOPERATE_FID ON T_CADM_EXAMINECOOPERATE ( FCOOPSTATUS );


 EXEC P_ALTERPK 'PK_CADM_EXAMITEM', 'T_CADM_EXAMITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_EXAMITEM') CREATE INDEX IDX_CADM_EXAMITEM ON T_CADM_EXAMITEM ( FNUMBER );


 EXEC P_ALTERPK 'PK_CADM_EXAMITEM_L', 'T_CADM_EXAMITEM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_EXAMITEM_L') CREATE INDEX IDX_CADM_EXAMITEM_L ON T_CADM_EXAMITEM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CADM_EXAMITEMGROUP', 'T_CADM_EXAMITEMGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_EXAMITEMGROUP') CREATE INDEX IDX_CADM_EXAMITEMGROUP ON T_CADM_EXAMITEMGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_CADM_EXAMITEMGROUP_L', 'T_CADM_EXAMITEMGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_EXAMITEMGROUP_L') CREATE INDEX IDX_CADM_EXAMITEMGROUP_L ON T_CADM_EXAMITEMGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CADM_EXAMPLAN', 'T_CADM_EXAMPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_EXAMPLAN') CREATE INDEX IDX_CADM_EXAMPLAN ON T_CADM_EXAMPLAN ( FNUMBER );


 EXEC P_ALTERPK 'PK_CADM_EXAMPLAN_L', 'T_CADM_EXAMPLAN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_EXAMPLAN_L') CREATE INDEX IDX_CADM_EXAMPLAN_L ON T_CADM_EXAMPLAN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CADM_EXAMPLANENTRY', 'T_CADM_EXAMPLANENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_EXAMPLANENTRY') CREATE INDEX IDX_CADM_EXAMPLANENTRY ON T_CADM_EXAMPLANENTRY ( FID );


 EXEC P_ALTERPK 'PK_CADM_EXAMRESULTENTRY', 'T_CADM_EXAMRESULTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_EXAMRESULTENTRY') CREATE INDEX IDX_CADM_EXAMRESULTENTRY ON T_CADM_EXAMRESULTENTRY ( FID );


 EXEC P_ALTERPK 'PK_CADM_EXAMRESULTENTRY_L', 'T_CADM_EXAMRESULTENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_EXAMRESULTENTRY_L') CREATE INDEX IDX_CADM_EXAMRESULTENTRY_L ON T_CADM_EXAMRESULTENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CADM_EXAMRESULTPLAN', 'T_CADM_EXAMRESULTPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_EXAMRESULTPLAN') CREATE INDEX IDX_CADM_EXAMRESULTPLAN ON T_CADM_EXAMRESULTPLAN ( FNUMBER );


 EXEC P_ALTERPK 'PK_CADM_EXAMRESULTPLAN_L', 'T_CADM_EXAMRESULTPLAN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_EXAMRESULTPLAN_L') CREATE INDEX IDX_CADM_EXAMRESULTPLAN_L ON T_CADM_EXAMRESULTPLAN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CADM_MATCHITEM', 'T_CADM_MATCHITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_MATCHITEM') CREATE INDEX IDX_CADM_MATCHITEM ON T_CADM_MATCHITEM ( FNUMBER );


 EXEC P_ALTERPK 'PK_CADM_MATCHITEM_L', 'T_CADM_MATCHITEM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_MATCHITEM_L') CREATE INDEX IDX_CADM_MATCHITEM_L ON T_CADM_MATCHITEM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CADM_MATCHITEMGROUP', 'T_CADM_MATCHITEMGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_MATCHITEMGROUP') CREATE INDEX IDX_CADM_MATCHITEMGROUP ON T_CADM_MATCHITEMGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_CADM_MATCHITEMGROUP_L', 'T_CADM_MATCHITEMGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_MATCHITEMGROUP_L') CREATE INDEX IDX_CADM_MATCHITEMGROUP_L ON T_CADM_MATCHITEMGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CADM_MATCHPLAN', 'T_CADM_MATCHPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_MATCHPLAN') CREATE INDEX IDX_CADM_MATCHPLAN ON T_CADM_MATCHPLAN ( FNUMBER );


 EXEC P_ALTERPK 'PK_CADM_MATCHPLAN_L', 'T_CADM_MATCHPLAN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_MATCHPLAN_L') CREATE INDEX IDX_CADM_MATCHPLAN_L ON T_CADM_MATCHPLAN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CADM_MATCHPLANENTRY', 'T_CADM_MATCHPLANENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_MATCHPLANENTRY') CREATE INDEX IDX_CADM_MATCHPLANENTRY ON T_CADM_MATCHPLANENTRY ( FID );


 EXEC P_ALTERPK 'PK_CADM_PLANEXAMITEM', 'T_CADM_PLANEXAMITEM', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_PLANEXAMITEM') CREATE INDEX IDX_CADM_PLANEXAMITEM ON T_CADM_PLANEXAMITEM ( FENTRYID ,FBASEDATAID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CADM_constraint.sql **/
