﻿/**Begin D:\PDM_UPGRADE\PDM1\CADM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_COOPEXPEDENTRY') 
 CREATE TABLE T_CADM_COOPEXPEDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEXAMITEMID BIGINT DEFAULT 0 NOT NULL,
FSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_EXPEDBILL') 
 CREATE TABLE T_CADM_EXPEDBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT '1' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FAPPOINTID BIGINT DEFAULT 0 NOT NULL,
FTENUREBILLID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FTERMINATORID BIGINT DEFAULT 0 NOT NULL,
FTERMINATEDATE DATETIME,
FTERMINATEREASON VARCHAR(500) DEFAULT ' ' NOT NULL,
FEXPEDSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FEXPEDRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FEXPEDCOOPRATIO VARCHAR(50) DEFAULT ' ' NOT NULL,
FHANDLERTIME DATETIME,
FEXPEDCOMMENT VARCHAR(500) DEFAULT ' ' NOT NULL,
FEXPEDPLANID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_EXPEDCOOPERATE') 
 CREATE TABLE T_CADM_EXPEDCOOPERATE (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FTENTUREBILLID BIGINT DEFAULT 0 NOT NULL,
FEXPEDBILLID BIGINT DEFAULT 0 NOT NULL,
FCOOPSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FHANDLETIME DATETIME,
FCOOPTAKETIME DECIMAL(19,6) DEFAULT 0 NOT NULL,
FITEMGROUPID BIGINT DEFAULT 0 NOT NULL,
FCOOPRESULT VARCHAR(255) DEFAULT ' ' NOT NULL,
FCOOPCOMMENT VARCHAR(2000) DEFAULT ' ' NOT NULL,
FISURGE CHAR(1) DEFAULT ' ' NOT NULL,
FURGETIME DATETIME,
FEXPEDPLANID BIGINT DEFAULT 0 NOT NULL,
FEXPEDSLA DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXPEDWAY VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_EXPEDCOOPHANDLER') 
 CREATE TABLE T_CADM_EXPEDCOOPHANDLER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_POSITIVE') 
 CREATE TABLE T_CADM_POSITIVE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOPERATION VARCHAR(2) DEFAULT ' ' NOT NULL,
FOPERATIONDATE DATETIME,
FOPINION VARCHAR(255) DEFAULT ' ' NOT NULL,
FPLANUNIT VARCHAR(2) DEFAULT ' ' NOT NULL,
FPLANNUMBER INT DEFAULT 0 NOT NULL,
FPREPOSITIVEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_SUPERVISORYINFO') 
 CREATE TABLE T_CADM_SUPERVISORYINFO (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTITLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FRECORDDATE DATETIME,
FCONTENT VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_SUPVINFOATTACH') 
 CREATE TABLE T_CADM_SUPVINFOATTACH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_TENURE') 
 CREATE TABLE T_CADM_TENURE (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAFFILIATEADMINORGID BIGINT DEFAULT 0 NOT NULL,
FEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FCMPEMPID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FAPPOINTID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSTANDARDPOSTID BIGINT DEFAULT 0 NOT NULL,
FISPRIMAPPOINT CHAR(1) DEFAULT ' ' NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FCADRECATID BIGINT DEFAULT 0 NOT NULL,
FTENURESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FPOSITIVESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FEXPEDSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FEXPEDRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FEXPEDCOOPRATIO VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXTENUREDATE DATETIME,
FASSESSRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FASSESSDATE DATETIME,
FASSESSCONTENT VARCHAR(500) DEFAULT ' ' NOT NULL,
FPREPOSITIVEDATE DATETIME,
FREALPOSITIVEDATE DATETIME,
FPLANSTARTDATE  DATETIME,
FREALSTARTDATE  DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_CADREAPPOINTBILL_A') 
 CREATE TABLE T_CADM_CADREAPPOINTBILL_A (
FID BIGINT DEFAULT 0 NOT NULL,
FCADRECATID BIGINT DEFAULT 0 NOT NULL,
FPLANUNIT VARCHAR(2) DEFAULT ' ' NOT NULL,
FPLANNUMBER INT DEFAULT 0 NOT NULL,
FPLANENDDATE DATETIME,
FPREPOSITIVEDATE DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_PUBLICITYBILL' AND KSQL_COL_NAME ='FINSTANCEID')
 ALTER TABLE T_CADM_PUBLICITYBILL ADD (FINSTANCEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_RELEASEBILL' AND KSQL_COL_NAME ='FINSTANCEID')
 ALTER TABLE T_CADM_RELEASEBILL ADD (FINSTANCEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_APPOINTAUDIT' AND KSQL_COL_NAME ='FINSTANCEID')
 ALTER TABLE T_CADM_APPOINTAUDIT ADD (FINSTANCEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_APPOINTISSUE' AND KSQL_COL_NAME ='FINSTANCEID')
 ALTER TABLE T_CADM_APPOINTISSUE ADD (FINSTANCEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_EXAMINEBILL' AND KSQL_COL_NAME ='FINSTANCEID')
 ALTER TABLE T_CADM_EXAMINEBILL ADD (FINSTANCEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_REVIEWBILL' AND KSQL_COL_NAME ='FINSTANCEID')
 ALTER TABLE T_CADM_REVIEWBILL ADD (FINSTANCEID BIGINT DEFAULT 0 NOT NULL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_TENURE_L')
  CREATE TABLE T_CADM_TENURE_L (
 FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
 FID BIGINT DEFAULT 0 NOT NULL,
 FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
 FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
 );
/**End D:\PDM_UPGRADE\PDM1\CADM_table.sql **/
