/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CADM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_EXPEDARRERECORD') 
 CREATE TABLE T_CADM_EXPEDARRERECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FEXPEDBILLID BIGINT DEFAULT 0 NOT NULL,
FEXAMPLANID BIGINT DEFAULT 0 NOT NULL,
FARRANGETIME DATETIME,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_EXPINTERVIEWUSER') 
 CREATE TABLE T_CADM_EXPINTERVIEWUSER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_COOPEXPEDENTRY' AND KSQL_COL_NAME ='FEXAMITEMDESC') 
 ALTER TABLE T_CADM_COOPEXPEDENTRY ADD (FEXAMITEMDESC VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_EXPEDCOOPERATE' AND KSQL_COL_NAME ='FEXPEDARRRECORDID') 
 ALTER TABLE T_CADM_EXPEDCOOPERATE ADD (FEXPEDARRRECORDID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_SUPERVISORYINFO' AND KSQL_COL_NAME ='FCONTENT_TAG') 
 ALTER TABLE T_CADM_SUPERVISORYINFO ADD (FCONTENT_TAG NCLOB DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_TENURE' AND KSQL_COL_NAME ='FAPOSITIONTYPE') 
 ALTER TABLE T_CADM_TENURE ADD (FAPOSITIONTYPE VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_APPOAUDITATTACH') 
 CREATE TABLE T_CADM_APPOAUDITATTACH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_EXAMARRANGERECORD') 
 CREATE TABLE T_CADM_EXAMARRANGERECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FEXAMINEID BIGINT DEFAULT 0 NOT NULL,
FEXAMPLANID BIGINT DEFAULT 0 NOT NULL,
FARRANGETIME DATETIME,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_EXAMINTERVIEWUSER') 
 CREATE TABLE T_CADM_EXAMINTERVIEWUSER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_EXAMITEMREMARK') 
 CREATE TABLE T_CADM_EXAMITEMREMARK (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEXAMITEMID BIGINT DEFAULT 0 NOT NULL,
FEXAMITEMDESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBENTRYBOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_EXAMPLANMEMBER') 
 CREATE TABLE T_CADM_EXAMPLANMEMBER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_HISREVIEWRECORD') 
 CREATE TABLE T_CADM_HISREVIEWRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FREVIEWID BIGINT DEFAULT 0 NOT NULL,
FREVIEWTOPIC VARCHAR(255) DEFAULT ' ' NOT NULL,
FREVIEWPOINTS VARCHAR(500) DEFAULT ' ' NOT NULL,
FREVIEWTIME DATETIME,
FREVIEWPLACE VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_RECDEPT') 
 CREATE TABLE T_CADM_RECDEPT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_REFERRER') 
 CREATE TABLE T_CADM_REFERRER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_PERSONRECMDENTRY' AND KSQL_COL_NAME ='FRECOMMENDSOURCE') 
 ALTER TABLE T_CADM_PERSONRECMDENTRY ADD (FRECOMMENDSOURCE VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_AUDITSCHEMEENTRY' AND KSQL_COL_NAME ='FREQUIRE') 
 ALTER TABLE T_CADM_AUDITSCHEMEENTRY ADD (FREQUIRE VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_BREWBILL' AND KSQL_COL_NAME ='FPOSITIONTYPE') 
 ALTER TABLE T_CADM_BREWBILL ADD (FPOSITIONTYPE VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_BREWBILL' AND KSQL_COL_NAME ='FBREWSTDPOSITIONID') 
 ALTER TABLE T_CADM_BREWBILL ADD (FBREWSTDPOSITIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_BREWBILL' AND KSQL_COL_NAME ='FBREWJOBID') 
 ALTER TABLE T_CADM_BREWBILL ADD (FBREWJOBID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_COOPEXAMENTRY' AND KSQL_COL_NAME ='FEXAMITEMDESC') 
 ALTER TABLE T_CADM_COOPEXAMENTRY ADD (FEXAMITEMDESC VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_EXAMINECOOPERATE' AND KSQL_COL_NAME ='FEXAMARRRECORDID') 
 ALTER TABLE T_CADM_EXAMINECOOPERATE ADD (FEXAMARRRECORDID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_EXAMINECOOPERATE' AND KSQL_COL_NAME ='FSTARTTIME') 
 ALTER TABLE T_CADM_EXAMINECOOPERATE ADD (FSTARTTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_EXAMPLANENTRY' AND KSQL_COL_NAME ='FADDMODE') 
 ALTER TABLE T_CADM_EXAMPLANENTRY ADD (FADDMODE VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_AUDITITEM' AND KSQL_COL_NAME ='FREQUIRE') 
 ALTER TABLE T_CADM_AUDITITEM ADD (FREQUIRE VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_COOPERATEENTRY' AND KSQL_COL_NAME ='FHISREVRECORDID') 
 ALTER TABLE T_CADM_COOPERATEENTRY ADD (FHISREVRECORDID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_REVIEWBILL' AND KSQL_COL_NAME ='FREVIEWTIME') 
 ALTER TABLE T_CADM_REVIEWBILL ADD (FREVIEWTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_REVIEWBILL' AND KSQL_COL_NAME ='FREVIEWPLACE') 
 ALTER TABLE T_CADM_REVIEWBILL ADD (FREVIEWPLACE VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_CADREAPPOINTBILL_A' AND KSQL_COL_NAME ='FPOSITIONTYPE') 
 ALTER TABLE T_CADM_CADREAPPOINTBILL_A ADD (FPOSITIONTYPE VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_CADREAPPOINTBILL_A' AND KSQL_COL_NAME ='FATENUREID') 
 ALTER TABLE T_CADM_CADREAPPOINTBILL_A ADD (FATENUREID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_CADREAPPOINTBILL_A' AND KSQL_COL_NAME ='FDISMISSTENUREID') 
 ALTER TABLE T_CADM_CADREAPPOINTBILL_A ADD (FDISMISSTENUREID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_CADREAPPOINTBILL_A' AND KSQL_COL_NAME ='FASTANDARDPOSITIONID') 
 ALTER TABLE T_CADM_CADREAPPOINTBILL_A ADD (FASTANDARDPOSITIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_CADREAPPOINTBILL_A' AND KSQL_COL_NAME ='FAPPOINTEFFECTSTATUS') 
 ALTER TABLE T_CADM_CADREAPPOINTBILL_A ADD (FAPPOINTEFFECTSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_CADREAPPOINTBILL_A' AND KSQL_COL_NAME ='FDISMISSEFFECTSTATUS') 
 ALTER TABLE T_CADM_CADREAPPOINTBILL_A ADD (FDISMISSEFFECTSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_CADREAPPOINTBILL_A' AND KSQL_COL_NAME ='FBSTANDARDPOSITIONVID') 
 ALTER TABLE T_CADM_CADREAPPOINTBILL_A ADD (FBSTANDARDPOSITIONVID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_CADREAPPOINTBILL_A' AND KSQL_COL_NAME ='FISPRIMDISMISS') 
 ALTER TABLE T_CADM_CADREAPPOINTBILL_A ADD (FISPRIMDISMISS VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_APPOINTISSUE' AND KSQL_COL_NAME ='FBATCHNUM') 
 ALTER TABLE T_CADM_APPOINTISSUE ADD (FBATCHNUM VARCHAR(255) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CADM_table.sql **/
