﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CADM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_APPISSREJECTENTRY') 
 CREATE TABLE T_CADM_APPISSREJECTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACTVTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FREJECTHANDLERID BIGINT DEFAULT 0 NOT NULL,
FREJECTTIME DATETIME,
FREJECTCOMMENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FREJECTACTVID BIGINT DEFAULT 0 NOT NULL,
FREJECTBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_APPOINTISSUE' AND KSQL_COL_NAME ='FISSUETYPE') 
 ALTER TABLE T_CADM_APPOINTISSUE ADD (FISSUETYPE VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_APPOINTISSUE' AND KSQL_COL_NAME ='FISSUEOPTIONS') 
 ALTER TABLE T_CADM_APPOINTISSUE ADD (FISSUEOPTIONS VARCHAR(500) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CADM_APPOINTISSUE' AND KSQL_COL_NAME ='FAPPNOTICEDOCID') 
 ALTER TABLE T_CADM_APPOINTISSUE ADD (FAPPNOTICEDOCID VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_APPOINTAUDIT') 
 CREATE TABLE T_CADM_APPOINTAUDIT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT '1' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FFILLINERID BIGINT DEFAULT 0 NOT NULL,
FFILLINDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FAPPOAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FAPPOAUDITRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FREVDEALTIME DATETIME,
FHANDLERIDTXT VARCHAR(500) DEFAULT ' ' NOT NULL,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT VARCHAR(500) DEFAULT ' ' NOT NULL,
FNOMINATEBILLID BIGINT DEFAULT 0 NOT NULL,
FMATCHACTVID BIGINT DEFAULT 0 NOT NULL,
FAUDITSCHEMEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_APPOAUDITRESENTRY') 
 CREATE TABLE T_CADM_APPOAUDITRESENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAUDITITEMID BIGINT DEFAULT 0 NOT NULL,
FRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_APPOAUDITHANDLER') 
 CREATE TABLE T_CADM_APPOAUDITHANDLER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_APPOAUDITREJENTRY') 
 CREATE TABLE T_CADM_APPOAUDITREJENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACTVTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FREJECTHANDLERID BIGINT DEFAULT 0 NOT NULL,
FREJECTTIME DATETIME,
FREJECTCOMMENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FREJECTACTVID BIGINT DEFAULT 0 NOT NULL,
FREJECTBILLID BIGINT DEFAULT 0 NOT NULL
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CADM_table.sql **/
