﻿/**Begin D:\PDM_UPGRADE\PDM1\CADM_constraint.sql **/
 EXEC P_ALTERPK 'PK_CADM_COOPEXPEDENTRY', 'T_CADM_COOPEXPEDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_COOPEXPEDENTRY') CREATE INDEX IDX_CADM_COOPEXPEDENTRY ON T_CADM_COOPEXPEDENTRY ( FEXAMITEMID );


 EXEC P_ALTERPK 'PK_CADM_EXPEDBILL', 'T_CADM_EXPEDBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_EXPEDBILL_FID') CREATE INDEX IDX_CADM_EXPEDBILL_FID ON T_CADM_EXPEDBILL ( FEXPEDSTATUS );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_EXPEDBILL_TENUREID') CREATE INDEX IDX_CADM_EXPEDBILL_TENUREID ON T_CADM_EXPEDBILL ( FTENUREBILLID );


 EXEC P_ALTERPK 'PK_CADM_EXPEDCOOPERATE', 'T_CADM_EXPEDCOOPERATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_EXPEDCOOPERATE_STATUS') CREATE INDEX IDX_CADM_EXPEDCOOPERATE_STATUS ON T_CADM_EXPEDCOOPERATE ( FCOOPSTATUS );


 EXEC P_ALTERPK 'PK_CADM_EXPEDCOOPHANDLER', 'T_CADM_EXPEDCOOPHANDLER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_EXPEDCOOPHANDLER') CREATE INDEX IDX_CADM_EXPEDCOOPHANDLER ON T_CADM_EXPEDCOOPHANDLER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CADM_POSITIVE', 'T_CADM_POSITIVE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_POSITIVE_ID') CREATE INDEX IDX_CADM_POSITIVE_ID ON T_CADM_POSITIVE ( FID );


 EXEC P_ALTERPK 'PK_CADM_SUPERVISORYINFO', 'T_CADM_SUPERVISORYINFO', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_SUPERVISORYINFO_ID') CREATE INDEX IDX_CADM_SUPERVISORYINFO_ID ON T_CADM_SUPERVISORYINFO ( FID );


 EXEC P_ALTERPK 'PK_CADM_SUPVINFOATTACH', 'T_CADM_SUPVINFOATTACH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_SUPVINFOATTACH') CREATE INDEX IDX_CADM_SUPVINFOATTACH ON T_CADM_SUPVINFOATTACH ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CADM_TENURE', 'T_CADM_TENURE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_TENURE_EMPID') CREATE INDEX IDX_CADM_TENURE_EMPID ON T_CADM_TENURE ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_TENURE_PERID') CREATE INDEX IDX_CADM_TENURE_PERID ON T_CADM_TENURE ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_TENURE_COMPANY') CREATE INDEX IDX_CADM_TENURE_COMPANY ON T_CADM_TENURE ( FCOMPANYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_TENURE_ADMIN') CREATE INDEX IDX_CADM_TENURE_ADMIN ON T_CADM_TENURE ( FADMINORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_TENURE_POSITION') CREATE INDEX IDX_CADM_TENURE_POSITION ON T_CADM_TENURE ( FPOSITIONID );


-- EXEC P_ALTERPK 'PK_CADM_CADREAPPOINTBILL_A', 'T_CADM_CADREAPPOINTBILL_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_CADREAPPOINTBILL_A') CREATE INDEX IDX_CADM_CADREAPPOINTBILL_A ON T_CADM_CADREAPPOINTBILL_A ( FPREPOSITIVEDATE );

 EXEC P_ALTERPK 'PK_CADM_TENURE_L', 'T_CADM_TENURE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CADM_TENURE_L') CREATE INDEX IDX_CADM_TENURE_L ON T_CADM_TENURE_L ( FID ,FLOCALEID );


/**End D:\PDM_UPGRADE\PDM1\CADM_constraint.sql **/
